Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.sld
Interface SymbolVisitor

    @Extension
    public interface SymbolVisitor

Visitor with `visit` methods to be called by `Symbol.accept(...)`.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Method Summary
`Object` | `visit(LineSymbol symbol, Object userData)`
`Object` | `visit(PointSymbol symbol, Object userData)`
`Object` | `visit(PolygonSymbol symbol, Object userData)`
`Object` | `visit(TextSymbol symbol, Object userData)`

Method Detail

### visit

    Object visit(LineSymbol symbol,
                 Object userData)

### visit

    Object visit(PointSymbol symbol,
                 Object userData)

### visit

    Object visit(PolygonSymbol symbol,
                 Object userData)

### visit

    Object visit(TextSymbol symbol,
                 Object userData)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.